# $Revision: 1.15 $, $Date: 2011/03/07 08:15:32 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Audio
%define	pnam	MPD-Common
Summary:	Audio::MPD::Common - a bunch of common helper classes for mpd
Summary(pl.UTF-8):	Audio::MPD::Common - zwstaw wspólnych klas pomocniczych dla mpd
Name:		perl-Audio-MPD-Common
Version:	1.110550
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/J/JQ/JQUELIN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ea20e89aa81d73235f392018099c0a25
URL:		http://search.cpan.org/dist/Audio-MPD-Common/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Module-Build >= 1:0.3601
BuildRequires:	perl-MooseX-Has-Sugar
BuildRequires:	perl-MooseX-Types
BuildRequires:	perl-Readonly
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Depending on whether you're using a POE-aware environment or not,
people wanting to tinker with mpd (Music Player Daemon) will use
either POE::Component::Client::MPD or Audio::MPD.

But even if the run-cores of those two modules differ completely, they
are using the exact same common classes to represent the various mpd
states and information. Therefore, those common classes have been
outsourced to Audio::MPD::Common.

%description -l pl.UTF-8
W zależności od korzystania ze środowiska POE osoby chcące manipulować
przy demonie mpd (Music Player Daemon) używają
POE::Component::Client::MPD lub Audio::MPD.

Ale nawet jeśli oba te moduły różnią się całkowicie sposobem
działania, używają dokładnie tych samych wspólnych klas
reprezentujących różne stany i informacje o mpd. W związku z tym
wspólne klasy zostały wydzielone do pakietu Audio::MPD::Common.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Audio/MPD
%{perl_vendorlib}/Audio/MPD/*.pm
%{perl_vendorlib}/Audio/MPD/Common
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-MPD-Common.spec,v $
Revision 1.15  2011/03/07 08:15:32  lisu
- up to 1.110550

Revision 1.14  2010/02/15 16:34:09  sparky
- BR: perl-MooseX-Types for tests
- dropped unused BR: perl-Class-Accessor

Revision 1.13  2010/02/15 15:41:15  lisu
- new URL for Source0

Revision 1.12  2010/02/15 15:30:16  lisu
- up to 1.100430
- BR: perl-Module-Build >= 1:0.3601

Revision 1.11  2009/11/19 10:33:27  lisu
- up to 1.093190
- BR: perl-MooseX-Has-Sugar is required by "make test"

Revision 1.10  2009/11/16 05:39:38  amateja
- updated to 1.093170

Revision 1.9  2009/11/09 11:52:36  lisu
- 1.093120

Revision 1.8  2009/10/26 14:43:21  amateja
- updated to 1.092910

Revision 1.7  2009/01/09 22:18:12  qboosh
- using proper locale

Revision 1.6  2009/01/09 14:34:21  lisu
- adapter

Revision 1.5  2009/01/09 14:31:31  lisu
- 0.1.4

Revision 1.4  2008/11/24 13:00:19  lisu
- 0.1.3

Revision 1.3  2008/03/13 22:00:11  qboosh
- pl

Revision 1.2  2007-12-06 23:33:04  sls
- dir perl_vendorlib/Audio/MPD moved to perl-Audio-MPD-Common from
  perl-Audio-MPD to avoid loop in dependencies

Revision 1.1  2007-11-28 11:38:17  sls
- thanks to pldcpan
